typst-0.10: Parsing and evaluating typst syntax.

Safe Haskell | None
Language | Haskell2010

Typst.Evaluate

Synopsis

- evaluateTypst :: Monad m => Operations m -> [(Text, Text)] -> FilePath -> [Markup] -> m (Either ParseError Content)
- valToContent :: Val -> Seq Content

# Documentation

evaluateTypst Source #

Arguments

:: Monad m |
=> Operations m | Dictionary of functions for IO operations
-> [(Text, Text)] | Parameters that would be set with --input in typst, for sys.inputs
-> FilePath | Path of parsed content
-> [Markup] | Markup produced by `parseTypst`
-> m (Either ParseError Content) |

Evaluate a parsed typst expression, evaluating the code and replacing it with content.

valToContent :: Val -> Seq Content Source #